package com.trs.web2frame.tool.tyjyh.tongliao;

import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;
import java.util.Map;

public class DocumentDataView {

    private String MetaDataId;
    private String ChannelId;
    private String DocTitle;
    private String ShortTitle;
    private String DocHtmlCon;
    private String DocContent;
    private String SUBDOCTITLE;
    private String DOCSOURCENAME;
    private String oldDocid;
    private String DOCAUTHOR;
    private String DOCKEYWORDS;
    private String DOCABSTRACT;
    private String DOCRELTIME;
    private String GUANLIANCODE;
    private String GLTYPE;
    private String CRTIME;

    public DocumentDataView() {
    }


    public DocumentDataView(Map<String,Object> map) {
        if(map != null){
            if(map.get("MetaDataId") != null){
                this.MetaDataId = map.get("MetaDataId").toString();
            }
            if(map.get("ChannelId") != null){
                this.ChannelId = map.get("ChannelId").toString();
            }
            if(map.get("DocTitle") != null){
                this.DocTitle = map.get("DocTitle").toString();
            }
            if(map.get("ShortTitle") != null){
                this.ShortTitle = map.get("ShortTitle").toString();
            }
            if(map.get("DocHtmlCon") != null){
                this.DocHtmlCon = map.get("DocHtmlCon").toString();
            }
            if(map.get("DocContent") != null){
                this.DocContent = map.get("DocContent").toString();
            }
            if(map.get("SUBDOCTITLE") != null){
                this.SUBDOCTITLE = map.get("SUBDOCTITLE").toString();
            }
            if(map.get("DOCSOURCENAME") != null){
                this.DOCSOURCENAME = map.get("DOCSOURCENAME").toString();
            }
            if(map.get("oldDocid") != null){
                this.oldDocid = map.get("oldDocid").toString();
            }
            if(map.get("DOCAUTHOR") != null){
                this.DOCAUTHOR = map.get("DOCAUTHOR").toString();
            }
            if(map.get("DOCKEYWORDS") != null){
                this.DOCKEYWORDS = map.get("DOCKEYWORDS").toString();
            }
            if(map.get("DOCABSTRACT") != null){
                this.DOCABSTRACT = map.get("DOCABSTRACT").toString();
            }
            if(map.get("DOCRELTIME") != null){
                this.DOCRELTIME = map.get("DOCRELTIME").toString();
            }
            if(map.get("GUANLIANCODE") != null){
                this.GUANLIANCODE = map.get("GUANLIANCODE").toString();
            }
            if(map.get("GLTYPE") != null){
                this.GLTYPE = map.get("GLTYPE").toString();
            }
            if(map.get("CRTIME") != null){
                this.CRTIME = map.get("CRTIME").toString();
            }
        }
    }

    public String getMetaDataId() {
        return MetaDataId;
    }

    public void setMetaDataId(String metaDataId) {
        MetaDataId = metaDataId;
    }

    public String getChannelId() {
        return ChannelId;
    }

    public void setChannelId(String channelId) {
        ChannelId = channelId;
    }

    public String getDocTitle() {
        return DocTitle;
    }

    public void setDocTitle(String docTitle) {
        DocTitle = docTitle;
    }

    public String getShortTitle() {
        return ShortTitle;
    }

    public void setShortTitle(String shortTitle) {
        ShortTitle = shortTitle;
    }

    public String getDocHtmlCon() {
        return DocHtmlCon;
    }

    public void setDocHtmlCon(String docHtmlCon) {
        DocHtmlCon = docHtmlCon;
    }

    public String getDocContent() {
        return DocContent;
    }

    public void setDocContent(String docContent) {
        DocContent = docContent;
    }

    public String getSUBDOCTITLE() {
        return SUBDOCTITLE;
    }

    public void setSUBDOCTITLE(String SUBDOCTITLE) {
        this.SUBDOCTITLE = SUBDOCTITLE;
    }

    public String getDOCSOURCENAME() {
        return DOCSOURCENAME;
    }

    public void setDOCSOURCENAME(String DOCSOURCENAME) {
        this.DOCSOURCENAME = DOCSOURCENAME;
    }

    public String getOldDocid() {
        return oldDocid;
    }

    public void setOldDocid(String oldDocid) {
        this.oldDocid = oldDocid;
    }

    public String getDOCAUTHOR() {
        return DOCAUTHOR;
    }

    public void setDOCAUTHOR(String DOCAUTHOR) {
        this.DOCAUTHOR = DOCAUTHOR;
    }

    public String getDOCKEYWORDS() {
        return DOCKEYWORDS;
    }

    public void setDOCKEYWORDS(String DOCKEYWORDS) {
        this.DOCKEYWORDS = DOCKEYWORDS;
    }

    public String getDOCABSTRACT() {
        return DOCABSTRACT;
    }

    public void setDOCABSTRACT(String DOCABSTRACT) {
        this.DOCABSTRACT = DOCABSTRACT;
    }

    public String getDOCRELTIME() {
        return DOCRELTIME;
    }

    public void setDOCRELTIME(String DOCRELTIME) {
        this.DOCRELTIME = DOCRELTIME;
    }

    public String getGUANLIANCODE() {
        return GUANLIANCODE;
    }

    public void setGUANLIANCODE(String GUANLIANCODE) {
        this.GUANLIANCODE = GUANLIANCODE;
    }

    public String getGLTYPE() {
        return GLTYPE;
    }

    public void setGLTYPE(String GLTYPE) {
        this.GLTYPE = GLTYPE;
    }

    public String getCRTIME() {
        return CRTIME;
    }

    public void setCRTIME(String CRTIME) {
        this.CRTIME = CRTIME;
    }

    @Override
    public String toString() {
        return "DocumentDataView{" +
                "MetaDataId='" + MetaDataId + '\'' +
                ", ChannelId='" + ChannelId + '\'' +
                ", DocTitle='" + DocTitle + '\'' +
                ", ShortTitle='" + ShortTitle + '\'' +
                ", DocHtmlCon='" + DocHtmlCon + '\'' +
                ", DocContent='" + DocContent + '\'' +
                ", SUBDOCTITLE='" + SUBDOCTITLE + '\'' +
                ", DOCSOURCENAME='" + DOCSOURCENAME + '\'' +
                ", oldDocid='" + oldDocid + '\'' +
                ", DOCAUTHOR='" + DOCAUTHOR + '\'' +
                ", DOCKEYWORDS='" + DOCKEYWORDS + '\'' +
                ", DOCABSTRACT='" + DOCABSTRACT + '\'' +
                ", DOCRELTIME='" + DOCRELTIME + '\'' +
                ", GUANLIANCODE='" + GUANLIANCODE + '\'' +
                ", GLTYPE='" + GLTYPE + '\'' +
                '}';
    }
}
